#ifndef LOGGING_H
#define LOGGING_H

#include <stdio.h>

#define LOG_ERROR(format, ...) \
    do { \
        fprintf(stderr, "ERROR %s: ", __func__); \
        vfprintf(stderr, format, __VA_ARGS__); \
    } while (0)

#define LOG_INFO(format, ...) \
    do { \
        fprintf(stderr, "INFO %s: ", __func__); \
        vfprintf(stderr, format, __VA_ARGS__); \
    } while (0)

#endif
