#ifndef TEST_IO_H
#define TEST_IO_H

#include "io_abs.h"

struct test_reader_config {
    const uint8_t *buf;
    unsigned len;
    unsigned pos;
};

void test_reader(struct test_reader_config *config, struct io_reader *reader_out);

struct test_writer_config {
    uint8_t *buf;
    unsigned len;
    unsigned pos;
};

void test_writer(struct test_writer_config *config, struct io_writer *writer_out);

#endif
